class Positions {
    constructor() {
        this.offsetX = [];
        this.offsetY = [];
        this.offsetZ = [];
        this.sizeX = [];
        this.sizeY = [];
        this.sizeZ = [];

        this.addPosition(-16, -22, -3, 33, 34, 33); // safest base
        this.addPosition(-16, -24, -10, 33, 33, 33); // tree base
        this.addPosition(-16, -20, -12, 33, 26, 33); // ender chest base
        this.addPosition(-16, -21, -8, 33, 33, 33); // farm base
        this.addPosition(-16, -25, -8, 33, 33, 33); // lava base
        this.addPosition(-16, -22, -12, 33, 34, 33); // magic base
        this.addPosition(-16, -17, -12, 33, 23, 33); // cactus base
        this.addPosition(-16, -24, -8, 33, 33, 33); // hidden base
        this.addPosition(-16, -21, -8, 33, 29, 33); // bee base
        this.addPosition(-14, -25, -7, 33, 37, 34); // millionaire base
        this.addPosition(-16, -52, -8, 33, 62, 33); // mine base
    }

    addPosition(offsetX, offsetY, offsetZ, sizeX, sizeY, sizeZ) {
        this.offsetX.push(offsetX);
        this.offsetY.push(offsetY);
        this.offsetZ.push(offsetZ);
        this.sizeX.push(sizeX);
        this.sizeY.push(sizeY);
        this.sizeZ.push(sizeZ);
    }
}

export const positions = new Positions();